Bug 1319433 - fedpkg-1.22-2.fc24 : submitted buildSRPMFromSCM koji tasks fail
Summary: fedpkg-1.22-2.fc24 : submitted buildSRPMFromSCM koji tasks fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 24
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Lubomír Sedlář
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-20 02:06 UTC by Rex Dieter
Modified: 2018-04-11 07:13 UTC (History)
15 users (show)

Fixed In Version: fedpkg-1.22-3.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-31 20:31:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2016-03-20 02:06:11 UTC
Using 
fedpkg-1.22-2.fc24
rpkg-1.42-1.fc24

all builds submitted to koji fail at buildSRPMFromSCM step.

Example,
https://koji.fedoraproject.org/koji/taskinfo?taskID=13389643 

Seems it is due to an extra '/' inserted between host and module name:

git clone -n git://pkgs.fedoraproject.org//qt5-qtenginio ... => fatal: remote error: access denied or repository not exported: //qt5-qtenginio

Previous fedpkg (and rpkg) didn't have this extra /, and the koji task succeeds.

Comment 1 Igor Gnatenko 2016-03-20 08:04:37 UTC
In my case it adds "/rpms/" for normal packages which fails.

Something totally wrong with that namespaces.

Comment 2 Lubomír Sedlář 2016-03-20 12:06:39 UTC
This is partly a problem with rpkg in that it doubles the slash. This only happens if your git checkout predates dist-git namespaces. With new checkouts, the git config has the url with namespace, in which case rpkg (and in turn fedpkg) will use it, ultimately leading to the behaviour Igor observed.

There is a separate problem with dist-git: it should be publishing the repos under the namespace, but for some reason it does not. I have opened another issue about that:
https://fedorahosted.org/fedora-infrastructure/ticket/5178

Comment 3 Honggang LI 2016-03-21 15:25:29 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=13411833
https://kojipkgs.fedoraproject.org//work/tasks/1833/13411833/checkout.log

$ git clone -n git://pkgs.fedoraproject.org/librdmacm /var/lib/mock/f23-build-5233093-592286/root/tmp/scmroot/librdmacm
Cloning into '/var/lib/mock/f23-build-5233093-592286/root/tmp/scmroot/librdmacm'...
fatal: remote error: access denied or repository not exported: /librdmacm

--------------------------------------------
This is a blocker issue. Please fix it ASAP. Thanks

Comment 4 Kevin Fenzi 2016-03-21 15:41:47 UTC
Please resubmit your build. It looks like it was added when we were trying to get both new and old urls working, but that didn't work, so we reverted it.

Comment 6 Kevin Fenzi 2016-03-21 20:50:41 UTC
So, we fixed the /rpms/ thing on the server side now. 

However there's still the // thing. I guess the workaround is to do a fresh clone, but it would be nice if fedpkg fixes this case.

Comment 7 Fedora Update System 2016-03-23 13:30:30 UTC
fedpkg-1.22-3.fc24 rpkg-1.43-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b0aabf419

Comment 8 Fedora Update System 2016-03-23 19:55:34 UTC
fedpkg-1.22-3.fc24, rpkg-1.43-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b0aabf419

Comment 9 Fedora Update System 2016-03-31 20:30:59 UTC
fedpkg-1.22-3.fc24, rpkg-1.43-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.